[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.GetCurrentRecord

Copy the data for the current record in a memory buffer

## Declaration

Source position: db.pas line 1599

`public function TDataSet.GetCurrentRecord(`
`Buffer: TRecordBuffer`
`):Boolean; virtual;`

## Arguments

`Buffer` |  | Buffer to which record data must be copied.

## Function result

True if the data for the current record has been copied succesfully.

## Description

GetCurrentRecord can be overridden by TDataset descendents to copy the data for the current record to Buffer. Buffermust point to a memory area, large enough to contain the data for the record. If the data is copied succesfully to the buffer, the function returns True. The TDataset implementation is empty, and returns False.

## See also

TDataset.ActiveBuffer |  | Currently active memory buffer

Documentation generated on: Feb 26 2014